Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.addon.pdf3d.PDF3DAnnot Class Reference

This class represents PDF 3D annotation. More...

Inheritance diagram for com.foxit.sdk.addon.pdf3d.PDF3DAnnot:

## Public Member Functions
| PDF3DAnnot (PDF3DAnnot other)
| Constructor, with another 3d annot object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
int | get3DAnnotType ()
| Get the type of 3D annot. More...
PDF3DAnnotInstance | get3DArtworkInstance ()
| Get the instance of 3D Artwork. More...
Annot | getAnnot ()
| Get associated annotation. More...
int | getAnnotIndex ()
| Get the annotation index corresponding to 3d annot. More...
PDF3DAnnotInstanceArray | getRichMediaInstances ()
| Get the instance array of rich media. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Static Public Attributes
static final int | e_3DTypeArtwork = 0
| 3D Artwork.
static final int | e_3DTypeRichMedia = 1
| Rich Media .

## Detailed Description

This class represents PDF 3D annotation.

## Constructor & Destructor Documentation

## ◆ PDF3DAnnot()

com.foxit.sdk.addon.pdf3d.PDF3DAnnot.PDF3DAnnot | ( | PDF3DAnnot | other | ) |

Constructor, with another 3d annot object.

Parameters

  [in] | other | Another 3d annot object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.pdf3d.PDF3DAnnot.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ get3DAnnotType()

int com.foxit.sdk.addon.pdf3d.PDF3DAnnot.get3DAnnotType | ( |  | ) |

Get the type of 3D annot.

Returns
  The type of 3D annot. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DAnnot.e_3DTypeArtwork and this will be one of these values.

## ◆ get3DArtworkInstance()

PDF3DAnnotInstance com.foxit.sdk.addon.pdf3d.PDF3DAnnot.get3DArtworkInstance | ( |  | ) |

Get the instance of 3D Artwork.

If the 3D annot type is not com.foxit.sdk.addon.pdf3d.PDF3DAnnot.e_3DTypeArtwork , an empty object will be returned.

Returns
  An 3d instance object.

## ◆ getAnnot()

Annot com.foxit.sdk.addon.pdf3d.PDF3DAnnot.getAnnot | ( |  | ) |

Get associated annotation.

Returns
  An annotation object.

## ◆ getAnnotIndex()

int com.foxit.sdk.addon.pdf3d.PDF3DAnnot.getAnnotIndex | ( |  | ) |

Get the annotation index corresponding to 3d annot.

Returns
  The index of annotation.

## ◆ getRichMediaInstances()

PDF3DAnnotInstanceArray com.foxit.sdk.addon.pdf3d.PDF3DAnnot.getRichMediaInstances | ( |  | ) |

Get the instance array of rich media.

If the 3D annot type is not com.foxit.sdk.addon.pdf3d.PDF3DAnnot.e_3DTypeRichMedia , an empty array will be returned.

Returns
  An 3d instance objects array.

## ◆ isEmpty()

boolean com.foxit.sdk.addon.pdf3d.PDF3DAnnot.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.